Skip to main content
GET
/
projects
/
{projectId}
/
whatsapp-business
/
accounts
/
{accountId}
/
templates
List WhatsApp Business message templates
curl --request GET \
  --url https://spectrum.photon.codes/projects/{projectId}/whatsapp-business/accounts/{accountId}/templates/
{
  "succeed": true,
  "data": {
    "templates": [
      {
        "id": "<string>",
        "name": "<string>",
        "language": "<string>",
        "components": [
          {
            "type": "<string>"
          }
        ],
        "qualityScore": {
          "score": "<string>"
        },
        "rejectedReason": "<string>"
      }
    ],
    "paging": {
      "nextCursor": "<string>",
      "prevCursor": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.photon.codes/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

accountId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
projectId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Query Parameters

name
string
Required string length: 1 - 512
nameOrContent
string
Required string length: 1 - 512
status
string
language
string
category
string
limit
integer
default:25
required
Required range: 1 <= x <= 100
after
string
before
string

Response

200 - application/json

Response for status 200

succeed
boolean
required
data
object
required